itkwish(1)

NAME
itkwish - Simple windowing shell for [incr Tcl] / [incr Tk]

SYNOPSIS
itkwish ?fileName arg arg ...?

OPTIONS

-display display
    Display (and screen) on which to display window.

-geometry geometry
    Initial geometry to use for window. If this option is specified, its value is stored in the geometry global variable of the application's Tcl interpreter.

-name name
    Use name as the title to be displayed in the window, and as the name of the interpreter for send commands.

-sync
    Execute all X server commands synchronously, so that errors are reported immediately. This will result in much slower execution, but it is useful for debugging.

--  Pass all remaining arguments through to the script's argv variable without interpreting them. This provides a mechanism for passing arguments such as -name to a script instead of having itkwish interpret them.

DESCRIPTION

itkwish is a simple program consisting of the Tcl command language, the Tk toolkit, the [incr Tcl] extension for object-oriented programming, and the [incr Tk] extension for building mega-widgets. The main program creates an interpreter, creates a main window, and then processes Tcl commands from standard input or from a file.

itkwish is just like wish, but includes the [incr Tcl] / [incr Tk] extensions.

See the wish man page for details concerning usage. See the itcl and itk man pages for an overview of [incr Tcl] / [incr Tk].

KEYWORDS
Tcl, Tk, itcl, itk, interpreter, shell, toolkit